#    *** tests ***
mkdir tests
echo "Generating test #3"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 179739059 10 10 10 10 5 20" "tests/03" 3
echo "Generating test #4"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 845642349 10 10 10 10 5 20" "tests/04" 4
echo "Generating test #5"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 252473559 10 10 10 10 5 20" "tests/05" 5
echo "Generating test #6"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 748674543 20 30 15 10 5 20" "tests/06" 6
echo "Generating test #7"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 429364423 50 50 10 20 5 10" "tests/07" 7
echo "Generating test #8"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 956742346 100 100 10 20 10 20" "tests/08" 8
echo "Generating test #9"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 315257356 200 200 10 10 5 40" "tests/09" 9
echo "Generating test #10"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 496762349 200 200 10 10 5 40" "tests/10" 10
echo "Generating test #11"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 23782476 200 200 10 10 5 40" "tests/11" 11
echo "Generating test #12"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 123674573 200 200 10 10 10 100" "tests/12" 12
echo "Generating test #13"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 104156765 200 200 10 10 10 100" "tests/13" 13
echo "Generating test #14"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 385716972 200 200 10 10 10 100" "tests/14" 14
echo "Generating test #15"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 447585611 200 200 10 10 8 50" "tests/15" 15
echo "Generating test #16"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 328770793 200 200 10 10 8 50" "tests/16" 16
echo "Generating test #17"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 52901214 200 200 10 10 8 50" "tests/17" 17
echo "Generating test #18"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 942135326 2000 2000 50 10 5 60" "tests/18" 18
echo "Generating test #19"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 283452374 2000 2000 100 10 5 60" "tests/19" 19
echo "Generating test #20"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 427435327 2000 2000 100 10 10 1000" "tests/20" 20
echo "Generating test #21"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 673453636 2000 2000 50 10 5 60" "tests/21" 21
echo "Generating test #22"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 783544534 2000 2000 100 10 5 60" "tests/22" 22
echo "Generating test #23"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 634573556 2000 2000 100 10 10 1000" "tests/23" 23
echo "Generating test #24"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 591495410 2000 2000 500000 2000 10000 10000" "tests/24" 24
echo "Generating test #25"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 309019696 500 500 50 10 5 60" "tests/25" 25
echo "Generating test #26"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 285167520 500 500 50 10 5 60" "tests/26" 26
echo "Generating test #27"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 655517240 500 500 50 10 5 60" "tests/27" 27
echo "Generating test #28"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 762293918 500 500 100 10 5 60" "tests/28" 28
echo "Generating test #29"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 866002524 500 500 100 10 5 60" "tests/29" 29
echo "Generating test #30"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 500097846 500 500 100 10 5 60" "tests/30" 30
echo "Generating test #31"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 731356747 500 500 100 10 10 100" "tests/31" 31
echo "Generating test #32"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 969802590 500 500 100 10 10 100" "tests/32" 32
echo "Generating test #33"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 324274891 500 500 100 10 10 100" "tests/33" 33
echo "Generating test #34"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 742715226 500 500 100 10 10 1000" "tests/34" 34
echo "Generating test #35"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 561097874 500 500 100 10 10 1000" "tests/35" 35
echo "Generating test #36"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 155014502 500 500 100 10 10 1000" "tests/36" 36
echo "Generating test #37"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 205353236 500 500 50 10 5 60" "tests/37" 37
echo "Generating test #38"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 136784530 500 500 50 10 5 60" "tests/38" 38
echo "Generating test #39"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 126734654 500 500 50 10 5 60" "tests/39" 39
echo "Generating test #40"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 956234248 500 500 100 10 5 60" "tests/40" 40
echo "Generating test #41"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 327425234 500 500 100 10 5 60" "tests/41" 41
echo "Generating test #42"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 236832356 500 500 100 10 5 60" "tests/42" 42
echo "Generating test #43"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 735685613 500 500 100 10 10 100" "tests/43" 43
echo "Generating test #44"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 169454173 500 500 100 10 10 100" "tests/44" 44
echo "Generating test #45"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 845152361 500 500 100 10 10 100" "tests/45" 45
echo "Generating test #46"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 234734556 500 500 100 10 10 1000" "tests/46" 46
echo "Generating test #47"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 734551574 500 500 100 10 10 1000" "tests/47" 47
echo "Generating test #48"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 362872402 500 500 100 10 10 1000" "tests/48" 48
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a
echo ""

